TimeLimitExceededException (Java SE 25 & JDK 25)
Description: declaration: module: java.naming, package: javax.naming, class: TimeLimitExceededException
Keywords: javax.naming.TimeLimitExceededException class

# Class TimeLimitExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.LimitExceededException
javax.naming.TimeLimitExceededException

All Implemented Interfaces:
  `Serializable`

public class TimeLimitExceededException extends LimitExceededException
This exception is thrown when a method does not terminate within the specified time limit. This can happen, for example, if the user specifies that the method should take no longer than 10 seconds, and the method fails to complete with 10 seconds.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeLimitExceededException()`
  Constructs a new instance of TimeLimitExceededException.
  `TimeLimitExceededException(String explanation)`
  Constructs a new instance of TimeLimitExceededException using the argument supplied.

- ## Method Summary

  ### Methods declared in class NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeLimitExceededException

    public TimeLimitExceededException()
    Constructs a new instance of TimeLimitExceededException. All fields default to null.

  - ### TimeLimitExceededException

    public TimeLimitExceededException(String explanation)
    Constructs a new instance of TimeLimitExceededException using the argument supplied.
    Parameters:
      `explanation` - possibly null detail about this exception.
    See Also:
      - `Throwable.getMessage()`